Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003365Doomseeker[All Projects] Bugpublic2018-02-02 10:352018-02-04 09:24
ReporterAOSP 
Assigned ToWubTheCaptain 
PrioritylowSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMicrosoftOSWindowsOS VersionXP/Vista/7
Product Version1.1 
Target Version1.2Fixed in Version1.2 
Summary0003365: Doomseeker's GB flag is incorrect
DescriptionSo here's the nitpickiest ticket you've read in a while:

Doomseeker's GB flag is not a standard Union Flag as it does not have the red diagonal lines representing the Saint Patrick's Saltire.
Steps To ReproduceCompare:
https://bytebucket.org/Doomseeker/doomseeker/raw/8998d075e79f6d9edccab40373977a7ebed73927/media/flags/GBR.png [^]
against any conformant Union Flag, e.g.:
https://upload.wikimedia.org/wikipedia/en/a/ae/Flag_of_the_United_Kingdom.svg [^]

Note how Doomseeker's lacks the red diagonal lines.
Additional InformationI am aware that the Saint Patrick's Saltire represents Ireland which has not been a part of the UK for a loong time. However, its use in the Union Flag is generally now used to represent Northern Ireland, which is part of the UK and is under the GBR country code.
Attached Files? file icon Flag_of_the_United_Kingdom.svg [^] (521 bytes) 2018-02-03 14:47
png file icon GBR.png [^] (1,143 bytes) 2018-02-03 14:47


? file icon flag_template.GBR.xcf [^] (3,314 bytes) 2018-02-03 14:47
patch file icon flags-Update-GBR-to-year-1801-version-of-the-flag.patch [^] (949 bytes) 2018-02-03 15:21 [Show Content]
patch file icon flags-Update-GBR-to-year-1801-version-of-the-flag.git.patch [^] (2,514 bytes) 2018-02-03 15:21 [Show Content]
png file icon GBR-kings-colors-1601.png [^] (1,059 bytes) 2018-02-03 15:34


? file icon Flag_of_Great_Britain_(1707-1800).svg [^] (396 bytes) 2018-02-03 15:35

- Relationships

-  Notes
User avatar (0019016)
WubTheCaptain (developer)
2018-02-03 15:31
edited on: 2018-02-03 15:48

Thanks for the bug report. Patches and files attached.


  1. The country flags are in the public domain, uploaded SVG is from Wikimedia Commons (File:Flag of the United Kingdom.svg).

  2. GBR.png was downscaled and stretched from Flag_of_the_United_Kingdom.svg.

  3. flag_template.GBR.xcf adopted from media/flags/flag_template.xcf in Doomseeker source.

  4. Patches by me (detailed historical explanation for this change in the commit description).



Note: GBR.png not optipng'd, I forgot.

User avatar (0019017)
WubTheCaptain (developer)
2018-02-03 15:35

Old flag attached for comparison. (File:Flag of Great Britain (1707-1800).svg)
User avatar (0019018)
WubTheCaptain (developer)
2018-02-03 15:45

GBR is also indeed the ISO 3166-1 alpha-3 code for United Kingdom:https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3#Current_codes [^]
User avatar (0019019)
Zalewa (developer)
2018-02-04 09:24

Done:https://bitbucket.org/Doomseeker/doomseeker/commits/2624ac77d98716f63439c2bba34e26b33cf44ae4 [^]

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: WubTheCaptain
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2018-02-02 10:35 AOSP New Issue
2018-02-03 14:42 WubTheCaptain Assigned To => WubTheCaptain
2018-02-03 14:42 WubTheCaptain Status new => assigned
2018-02-03 14:47 WubTheCaptain File Added: Flag_of_the_United_Kingdom.svg
2018-02-03 14:47 WubTheCaptain File Added: GBR.png
2018-02-03 14:47 WubTheCaptain File Added: flag_template.GBR.xcf
2018-02-03 14:52 WubTheCaptain Target Version => 1.2
2018-02-03 15:21 WubTheCaptain File Added: flags-Update-GBR-to-year-1801-version-of-the-flag.patch
2018-02-03 15:21 WubTheCaptain File Added: flags-Update-GBR-to-year-1801-version-of-the-flag.git.patch
2018-02-03 15:21 WubTheCaptain Status assigned => needs review
2018-02-03 15:31 WubTheCaptain Note Added: 0019016
2018-02-03 15:32 WubTheCaptain Note Edited: 0019016 View Revisions
2018-02-03 15:32 WubTheCaptain Note Edited: 0019016 View Revisions
2018-02-03 15:34 WubTheCaptain File Added: GBR-kings-colors-1601.png
2018-02-03 15:35 WubTheCaptain File Added: Flag_of_Great_Britain_(1707-1800).svg
2018-02-03 15:35 WubTheCaptain Note Added: 0019017
2018-02-03 15:45 WubTheCaptain Note Added: 0019018
2018-02-03 15:48 WubTheCaptain Note Edited: 0019016 View Revisions
2018-02-04 09:24 Zalewa Note Added: 0019019
2018-02-04 09:24 Zalewa Status needs review => resolved
2018-02-04 09:24 Zalewa Fixed in Version => 1.2
2018-02-04 09:24 Zalewa Resolution open => fixed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker